(function ($, Drupal, once, drupalSettings) {
  "use strict";

  /**
   * Auto submit sort by.
   *
   * @type {{attach: Drupal.behaviors.viewsExposedSortBlockSubmit.attach}}
   */
  Drupal.behaviors.viewsExposedSortBlockSubmit = {
    attach: function (context, settings) {
      const form_selector = drupalSettings.views_exposed_sort_block.form;
      const sort_by_selector = '[data-drupal-selector="' + drupalSettings.views_exposed_sort_block.field + '"]';

      $(once('views-exposed-sort-by', form_selector + ' ' + sort_by_selector, context)).on('change', function() {
        $(context).find(form_selector).submit();
      });
    }
  };

})(jQuery, Drupal, once, drupalSettings);
